gRPC C#
gRPC C#
Namespaces
Grpc.Core
SslServerCredentials Class
SslServerCredentials Constructor
SslServerCredentials Constructor (IEnumerable(KeyCertificatePair))
SslServerCredentials Constructor (IEnumerable(KeyCertificatePair), String, Boolean)

SslServerCredentials Constructor (IEnumerable KeyCertificatePair )

Creates server-side SSL credentials. This constructor should be use if you do not wish to autheticate client using client root certificates.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public SslServerCredentials(
    	IEnumerable<KeyCertificatePair> keyCertificatePairs
    )

    Public Sub New (
    	keyCertificatePairs As IEnumerable(Of KeyCertificatePair)
    )

    public:
    SslServerCredentials(
    	IEnumerable<KeyCertificatePair^>^ keyCertificatePairs
    )

    new :
            keyCertificatePairs : IEnumerable<KeyCertificatePair> -> SslServerCredentials

#### Parameters

keyCertificatePairs
  Type: System.Collections.Generic
  IEnumerable
  KeyCertificatePair
  Key-certificates to use.

See Also

#### Reference

SslServerCredentials Class
SslServerCredentials Overload
Grpc.Core Namespace